@import url('https://fonts.googleapis.com/css2?family=Frank+Ruhl+Libre:wght@900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap');

* {
    scroll-behavior: smooth;
    scroll-snap-type: y mandatory;
}

body {
	margin: 0;
	padding: 0;
    background-color: #C8B2D8;
}

.container {
    max-width: 1366px;
    height: 3840px;
}

.header {
    position: sticky;
    top: 0;
    z-index: 999;
}

.logo {
	position: relative;
	margin-left: 30px;
	margin-top: 30px; 
}

.navigation {
    display: flex;
    flex-direction: column;
}

nav {
    position: absolute;
    left: 720px;
    top: 30px;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

nav ul li {
    display: inline-flex;
}

nav ul li a{
    position: relative;
    margin: 0 25px;
    color: white;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;
    font-size: 16px;
}

nav ul li a:hover{
    color: #E31516;
    transition: .12s;
}

nav ul li a:after{
    content: '';
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%) scaleX(0);
    -webkit-transform: translateX(-50%) scaleX(0);
    transform-origin: 50% 50%;
    width: 100%;
    height: 2px;
    background-color: #E31516;
    -webkit-transition: 250ms;
    transition: 250ms;
}

nav ul li a:hover:after{
    -webkit-transform: translateX(-50%) scaleX(1);
    transform: translateX(-50%) scaleX(1);
}

#landing {
    background-color: #C8B2D8;
    max-width: 100%;
    height: 20px;
    margin-top: -90px;
    scroll-snap-align: center;
}

#home {
    background-color: #C8B2D8;
    max-width: 100%;
    height: 768px;
}

.text-typing {
    font-size: 16px;
    font-family: 'Poppins', sans-serif;
    color: white;
    margin-left: 250px;
    margin-top: 180px;
}

.text-typing p {
    margin:0px;
    white-space:nowrap;
    overflow:hidden;
    animation:typing 4s steps(50) 3s 1 normal both,
              blink 1s infinite;
}

@keyframes typing {
    from {
        width: 0;
    }
    to {
        width: 16em;
    }
}

@keyframes blink {
    0% {
      border-right: 1.5px solid #C8B2D8;
    }
    100% {
      border-right: 1.5px solid #C8B2D8;
    }
}

.round {
    margin-left: 280px;
    margin-top: -100px;
    cursor: pointer;
}

.sparkle1 {
    z-index: 999;
    opacity: 0;
    position: absolute;
    transition: 0.5s ease;  
    margin-top: -80px;
    margin-left: 340px;
    cursor: pointer;
}

.sparkle1:hover {
    opacity: 1;
}

.sparkle2 {
    z-index: 999;
    opacity: 0;
    position: absolute;
    transition: 0.5s ease;   
    margin-top: -200px;
    margin-left: 580px;
    cursor: pointer;
}

.sparkle2:hover {
    opacity: 1;
}

.sparkle3 {
    z-index: 999;
    opacity: 0;
    position: absolute;
    transition: 0.5s ease;  
    margin-top: -200px;
    margin-left: 250px;
    cursor: pointer;
}

.sparkle3:hover {
    opacity: 1;
}

.sparkle4 {
    z-index: 999;
    opacity: 0;
    position: absolute;
    transition: 0.5s ease;   
    margin-top: -360px;
    margin-left: 400px;
    cursor: pointer;
}

.sparkle4:hover {
    opacity: 1;
}

.sparkle5 {
    z-index: 999;
    opacity: 0;
    position: absolute;
    transition: 0.5s ease;   
    margin-top: -60px;
    margin-left: 500px;
    cursor: pointer;
}

.sparkle5:hover {
    opacity: 1;
}

.sparkle6 {
    z-index: 999;
    opacity: 0;
    position: absolute;
    transition: 0.5s ease;   
    margin-top: -320px;
    margin-left: 550px;
    cursor: pointer;
}

.sparkle6:hover {
    opacity: 1;
}

.line {
    position: relative;
    top: -230px;
    width: 30px;
    margin: 0 auto;
    border-right: 1.5px solid #C8B2D8;
    font-size: 100%;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    transform: translateY(-50%);
    font-family: 'Frank Ruhl Libre', serif;
    font-weight: bold;
    color: white;
    font-size: 80px;
}

.anim-typewriter {
    animation: typewriter 4s steps(60) 1s 1 normal both,
    blinkTextCursor 500ms steps(40) infinite normal;
}

@keyframes typewriter {
    from {
        width: 0;
    }
    to {
        width: 16em;
    }
}

@keyframes blinkTextCursor {
    from{
        border-right-color: #C8B2D8;
    }
    to {
        border-right-color: #C8B2D8;
    }
}

.line2 {
    position: relative;
    top: -230px;
    left: -20px;
    width: 30px;
    margin: 0 auto;
    border-right: 1.5px solid #C8B2D8;
    font-size: 100%;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    transform: translateY(-50%);
    font-family: 'Frank Ruhl Libre', serif;
    color: white;
    font-size: 80px;
}

.anim-typewriter2 {
    animation: typewriter 4s steps(60) 2s 1 normal both,
    blinkTextCursor 500ms steps(40) infinite normal;
}

@keyframes typewriter {
    from {
        width: 0;
    }
    to {
        width: 16em;
    }
}

@keyframes blinkTextCursor {
    from{
        border-right-color: #C8B2D8;
    }
    to {
        border-right-color: #C8B2D8;
    }
}

.line3 {
    position: relative;
    top: -230px;
    left: 10px;
    width: 30px;
    margin: 0 auto;
    border-right: 1.5px solid #C8B2D8;
    font-size: 100%;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    transform: translateY(-50%);
    font-family: 'Frank Ruhl Libre', serif;
    color: white;
    font-size: 80px;
}

.anim-typewriter3 {
    animation: typewriter 4s steps(60) 3s 1 normal both,
    blinkTextCursor 500ms steps(40) infinite normal;
}

@keyframes typewriter {
    from {
        width: 0;
    }
    to {
        width: 16em;
    }
}

@keyframes blinkTextCursor {
    from{
        border-right-color: #C8B2D8;
    }
    to {
        border-right-color: #C8B2D8;
    }
}

.line4 {
    position: relative;
    top: -280px;
    left: 535px;
    width: 30px;
    margin: 0 auto;
    border-right: 1.5px solid #C8B2D8;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    transform: translateY(-50%);
    font-family: 'Poppins', sans-serif;
    color: white;
    font-size: 40px;
}

.anim-typewriter4 {
    animation: typewriter 4s steps(50) 4s 1 normal both,
    blinkTextCursor 500ms steps(40) infinite normal;
}

@keyframes typewriter {
    from {
        width: 0;
    }
    to {
        width: 12em;
    }
}

@keyframes blinkTextCursor {
    from{
        border-right-color: #C8B2D8;
    }
    to {
        border-right-color: #C8B2D8;
    }
}

.line5 {
    position: relative;
    top: -295px;
    left: 375px;
    width: 30px;
    margin: 0 auto;
    border-right: 1.5px solid #C8B2D8;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    transform: translateY(-50%);
    font-family: 'Poppins', sans-serif;
    color: white;
    font-size: 16px;
}

.anim-typewriter5 {
    animation: typewriter 3s steps(60) 7.5s 1 normal both,
    blinkTextCursor 500ms steps(40) infinite normal;
}

@keyframes typewriter {
    from {
        width: 0;
    }
    to {
        width: 16em;
    }
}

@keyframes blinkTextCursor {
    from{
        border-right-color: #C8B2D8;
    }
    to {
        border-right-color: #C8B2D8;
    }
}

.line6 {
    position: relative;
    top: -290px;
    left: 370px;
    width: 30px;
    margin: 0 auto;
    border-right: 1.5px solid #C8B2D8;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    transform: translateY(-50%);
    font-family: 'Poppins', sans-serif;
    color: white;
    font-size: 16px;
}

.anim-typewriter6 {
    animation: typewriter 3s steps(60) 8.5s 1 normal both,
    blinkTextCursor 500ms steps(40) infinite normal;
}

@keyframes typewriter {
    from {
        width: 0;
    }
    to {
        width: 10em;
    }
}

@keyframes blinkTextCursor {
    from{
        border-right-color: #C8B2D8;
    }
    to {
        border-right-color: #C8B2D8;
    }
}

.scroll1 {
    margin-left: 600px;
    margin-top: -800px;
}

.scroll1 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: white;
    margin-left: 20px;
    margin-top: 490px;
    opacity: 0.7;
    cursor: pointer;
    transition: ease-in .2s;
}

.scroll1 p:hover {
    opacity: 1;
}

.scroll2 {
    margin-left: 600px;
    margin-top: -50px;
}

.right-col {
    float: right;
    margin-right: 6%;
    margin-top: -840px;
    display: flex;
    align-items: center;
}

.right-col p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: white;
    margin-right: 15px;
}

#icon {
    cursor: pointer;
    transition: .9s;
    border-radius: 20px;
    background-color: transparent;
    box-shadow: 0 2px 5px rgba(0,0,0,.3);
}

#icon:hover {
    transform: scale(1.1);
}

#greetings {
    background-color: #EDECE0;
    max-width: 100%;
    height: 768px;
    scroll-snap-align: center;
}

.logo2 {
    margin-left: 300px;
    padding-top: 320px;
}

.text p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: black;
    margin-left: 660px;
    margin-top: -100px;
    padding-right: 315px;
    line-height: 26px;
}

#about {
    background-color: #EE7357;
    max-width: 100%;
    height: 768px;
    margin-top: -38px;
    scroll-snap-align: center;
}

.star {
    margin-left: 240px;
    margin-top: -270px;
}

.text2 h1 {
    font-family: 'Frank Ruhl Libre', serif;
	font-size: 55px;
	color: white;
	font-weight: bold;
    padding-top: 250px;
    margin-left: 100px;
}

.text2 h2 {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: white;
    font-weight: lighter;
    margin-left: 100px;
    margin-top: -30px;
    padding-right: 950px;
}

.text2 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: white;
    margin-top: -180px;
    margin-left: 600px;
    padding-right: 300px;
    line-height: 26px;
}

.button1 {
    margin-left: 600px;
	margin-top: 80px;
}

.button1 a{
	padding: 10px 25px;
    width: 100px;
    height: 30px;
    border: 2px solid white;
    font-family: 'Poppins', sans-serif;
	border-radius: 25px;
	text-align: center;
	color: white;
	text-decoration: none;
	position: relative;
	font-size: 14px;
}

.button1 a:hover {
	color: #EE7357;
    background-color: white;
    transition: ease .7s;
}

#gallery {
    background-color: #C8B2D8;
    max-width: 100%;
    height: 768px;
    margin-top: -38px;
    scroll-snap-align: center;
}

.text3 h1 {
    font-family: 'Frank Ruhl Libre', serif;
	font-size: 55px;
	color: white;
	font-weight: bold;
    padding-top: 250px;
    margin-left: 100px;
}

.text3 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: white;
    margin-top: -25px;
    margin-left: 100px;
    padding-right: 950px;
    line-height: 26px;
}

.star2 {
    margin-left: 280px;
    margin-top: -170px;
}

.button2 {
    margin-left: 100px;
	margin-top: 160px;
}

.button2 a{
	padding: 10px 25px;
    width: 100px;
    height: 30px;
    border: 2px solid white;
    font-family: 'Poppins', sans-serif;
	border-radius: 25px;
	text-align: center;
	color: white;
	text-decoration: none;
	position: relative;
	font-size: 14px;
}

.button2 a:hover {
	color: #C8B2D8;
    background-color: white;
    transition: ease .7s;
}

.foto1 {
    margin-left: 600px;
    margin-top: -300px;
}

.foto2 {
    margin-left: 890px;
    margin-top: -280px;
}

#works {
    background-color: #EDECE0;
    max-width: 100%;
    height: 768px;
    scroll-snap-align: center;
}

.text4 h1 {
    font-family: 'Frank Ruhl Libre', serif;
	font-size: 55px;
	color: #EE7357;
	font-weight: bold;
    padding-top: 250px;
    margin-left: 100px;
}

.text4 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: black;
    margin-top: -25px;
    margin-left: 100px;
    padding-right: 950px;
    line-height: 26px;
}

.star3 {
    margin-left: 250px;
    margin-top: -170px;
}

.button3 {
    margin-left: 100px;
	margin-top: 160px;
}

.button3 a{
	padding: 10px 25px;
    width: 100px;
    height: 30px;
    border: 2px solid #C8B2D8;
    font-family: 'Poppins', sans-serif;
	border-radius: 25px;
	text-align: center;
	color: #C8B2D8;
	text-decoration: none;
	position: relative;
	font-size: 14px;
}

.button3 a:hover {
	color: #EDECE0;
    background-color: #C8B2D8;
    transition: ease .7s;
}

#slider {
    margin-top: -300px;
    margin-left: 500px;
    overflow: hidden;
}

#slider figure {
    position: relative;
    width: 500%;
    left: 0;
    animation: 15s slider infinite;
}

#slider figure img {
    float: left;
    padding: 0 0 0 50px;
    cursor: pointer;
    transition: 0.5s ease;
}

#slider figure img:hover {
    transform: scale(0.8);
}

@keyframes slider {
    0% {
        left: 0;
    }
    20% {
        left: 0;
    }
    25% {
        left: -100%;
    }
    45% {
        left: -100%;
    }
    50% {
        left: -200%;
    }
    70% {
        left: -200%;
    }
    75% {
        left: -300%;
    }
    95% {
        left: -300%;
    }
    100% {
        left: -450%;
    }
}

.footer {
    background-color: #C9B2D8;
    max-width: 100%;
    height: 150px;
    margin-top: 230px;
    position: relative;
    scroll-snap-align: center;
}

.text5 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: white;
    margin-left: 80px;
    padding: 10px;
}

.text6 p {
    font-family: 'Poppins', sans-serif;
	font-size: 14px;
	color: white;
    margin-top: 10px;
    padding: 20px;
    margin-left: 70px;
}

.button4 {
    margin-left: 1000px;
    margin-top: -160px;
    padding: 30px;
}

.button4 a{
	padding: 10px 25px;
    width: 100px;
    height: 30px;
    border: 2px solid white;
    font-family: 'Poppins', sans-serif;
	border-radius: 25px;
	text-align: center;
	color: white;
	text-decoration: none;
	position: relative;
	font-size: 14px;
}

.button4 a:hover {
	color: #C8B2D8;
    background-color: white;
    transition: ease .7s;
}

.navigation2 {
    display: flex;
    flex-direction: column;
}

nav2 {
    position: absolute;
    left: 660px;
    top: 95px;
}

nav2 ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

nav2 ul li {
    display: inline-flex;
}

nav2 ul li a{
    position: relative;
    margin: 0 20px;
    color: white;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;
    font-size: 14px;
    opacity: 0.8;
}

nav2 ul li a:hover{
    color: white;
    transition: .12s;
    opacity: 1;
}

nav2 ul li a:after{
    content: '';
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%) scaleX(0);
    -webkit-transform: translateX(-50%) scaleX(0);
    transform-origin: 50% 50%;
    width: 100%;
    height: 2px;
    background-color: white;
    -webkit-transition: 250ms;
    transition: 250ms;
}

nav2 ul li a:hover:after{
    -webkit-transform: translateX(-50%) scaleX(1);
    transform: translateX(-50%) scaleX(1);
}